# Note: run this file from within your virtualenv!
#
#
# Build dependencies
build:
	uv pip compile \
		--output-file=requirements/base.txt \
		pyproject.toml

	# testing
	uv pip compile \
		--extra=testing \
		--output-file=requirements/testing.txt \
		requirements/base.txt \
		pyproject.toml

	# development
	uv pip compile \
		--extra=testing \
		--extra=development \
		--output-file=requirements/development.txt \
		requirements/base.txt \
		requirements/testing.txt \
		pyproject.toml

	# ci
	uv pip compile \
		--extra=testing \
		--extra=ci \
		--output-file=requirements/ci.txt \
		requirements/base.txt \
		requirements/testing.txt \
		pyproject.toml

	# production
	uv pip compile \
		--extra=production \
		--output-file=requirements/production.txt \
		requirements/base.txt \
		pyproject.toml
